VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Privilege::OperationInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Privilege::OperationInfo:

## Avaliable Methods
public method | set_privileges ()
public method | set_privilege_info ()
public method | get_privileges ()
public method | new ()
public method | get_privilege_info ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Privilege::OperationInfo` class contains privilege information of an operation element.

For an explanation of containment within operation elements, see class Com::Vmware::Vapi::Metadata::Privilege::Service::Operation .

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Privilege::OperationInfo::get_privilege_info | ( |  | ) |

Gets the value of 'privilege_info' property.

Return values

  privilege_info | - The current value of the field. Privilege information of all the parameter elements of the operation element. For an explanation of containment of privilege information within parameter elements, see class Com::Vmware::Vapi::Metadata::Privilege::PrivilegeInfo . List#

Code:
click to view
# Number of lines of code in get_privilege_info: 4
sub get_privilege_info {
my ($self, %args) = @_;
return $self->{'privilege_info'};
}

public method Com::Vmware::Vapi::Metadata::Privilege::OperationInfo::get_privileges | ( |  | ) |

Gets the value of 'privileges' property.

Return values

  privileges | - The current value of the field. List of all privileges assigned to the operation element. List#

Code:
click to view
# Number of lines of code in get_privileges: 4
sub get_privileges {
my ($self, %args) = @_;
return $self->{'privileges'};
}

public method Com::Vmware::Vapi::Metadata::Privilege::OperationInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Privilege::OperationInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{privileges} = $args{'privileges'};
$self->{privilege_info} = $args{'privilege_info'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Privilege::OperationInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.privilege.operation_info');
$self->set_binding_field('key' => 'privileges', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'privilege_info', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Privilege', 'type_name' => 'PrivilegeInfo')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Privilege::OperationInfo::set_privilege_info | ( |  | ) |

Sets the given value for 'privilege_info' property.

Parameters

  privilege_info | - New value for the field. Privilege information of all the parameter elements of the operation element. For an explanation of containment of privilege information within parameter elements, see class Com::Vmware::Vapi::Metadata::Privilege::PrivilegeInfo .

Code:
click to view
# Number of lines of code in set_privilege_info: 5
sub set_privilege_info {
my ($self, %args) = @_;
$self->{'privilege_info'} = $args{'privilege_info'};
return;
}

public method Com::Vmware::Vapi::Metadata::Privilege::OperationInfo::set_privileges | ( |  | ) |

Sets the given value for 'privileges' property.

Parameters

  privileges | - New value for the field. List of all privileges assigned to the operation element.

Code:
click to view
# Number of lines of code in set_privileges: 5
sub set_privileges {
my ($self, %args) = @_;
$self->{'privileges'} = $args{'privileges'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Privilege/OperationInfo.pm